Bug 443210 - Some simple PackageKit UI improvements
Summary: Some simple PackageKit UI improvements
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-19 09:51 UTC by Michael Monreal
Modified: 2015-04-06 12:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 12:59:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add/Remove Software window (106.44 KB, image/png)
2008-04-19 09:53 UTC, Michael Monreal
no flags Details
Update System (69.39 KB, image/png)
2008-04-19 09:55 UTC, Michael Monreal
no flags Details
Download window (82.87 KB, image/png)
2008-04-19 09:56 UTC, Michael Monreal
no flags Details
Updates done window (38.32 KB, image/png)
2008-04-19 10:01 UTC, Michael Monreal
no flags Details
Software sources launcher (6.23 KB, image/png)
2008-04-19 10:08 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2008-04-19 09:51:13 UTC
You have been asking for UI suggestions on your blog a number of times but sadly
I just managed to install a copy of Fedora9Pre yesterday. Overall I am amazed
but the PackageKit UI really needs some love. The following is a list of
commented screenshots I did while using it. The changes are minimal (mostly icon
+ label replacements) so I hope this will make it into Fedora 9. Beyond that
there are other things worth changing which I could also write down if you like
(but that's clearly post-9).

Comment 1 Michael Monreal 2008-04-19 09:53:21 UTC
Created attachment 302984 [details]
Add/Remove Software window

Comment 2 Michael Monreal 2008-04-19 09:55:51 UTC
Created attachment 302985 [details]
Update System

Sorry I got a bit carried away with this (comment on this screenshot is a *bit*
longer...). Additionaly make sure that the dialog does not resize after e.g.
the last refresh time has been updated. Make the window a bit bigger at start
and then mark it not resizable.

Comment 3 Michael Monreal 2008-04-19 09:56:30 UTC
Created attachment 302987 [details]
Download window

Comment 4 Michael Monreal 2008-04-19 10:01:33 UTC
Created attachment 302988 [details]
Updates done window

Comment 5 Michael Monreal 2008-04-19 10:08:00 UTC
Created attachment 302989 [details]
Software sources launcher

IMHO this launcher icon is already quite over-used in GNOME for various
network-related stuff. What about shipping a custom icon that does reflect the
use of the tool better?

Comment 6 Richard Hughes 2008-04-20 21:21:53 UTC
>What about shipping a custom icon

Mike is designing us a better icon now. I've got the first version in a local
branch, and I'll commit the better version on Monday.


Comment 7 Richard Hughes 2008-04-20 21:23:31 UTC
>Updates done window

The HIG says a modal dialog should stay modal. I don't think a libnotify window
is valid when there is a modal window to take the state. If you close the
window, then libnotify is already used, as the state has nowhere to be displayed.


Comment 8 Richard Hughes 2008-04-20 21:32:33 UTC
>Download window

I've made the text left aligned and also set to linewrap. The Cancel Update
should remain as we need to provide context. Hopefully the jumpiness should also
be fixed.

Comment 9 Michael Monreal 2008-04-22 11:11:13 UTC
(In reply to comment #8)
> >Download window
> 
> The Cancel Update should remain as we need to provide context

Being part of the update window, what else would it cancel?


Comment 10 Bug Zapper 2008-05-14 09:42:56 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Richard Hughes 2008-05-22 17:06:28 UTC
I've done looooooads of your changes in the 0.2.x branch. Can you give that a go
and then update this bug? Thanks.

Comment 12 Fedora Update System 2008-11-11 16:24:57 UTC
PackageKit-0.3.10-1.fc9,gnome-packagekit-0.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/PackageKit-0.3.10-1.fc9,gnome-packagekit-0.3.10-1.fc9

Comment 13 Fedora Update System 2008-11-12 02:56:35 UTC
PackageKit-0.3.10-1.fc9, gnome-packagekit-0.3.10-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9573

Comment 14 Fedora Update System 2008-11-21 11:01:00 UTC
PackageKit-0.3.10-2.fc9, gnome-packagekit-0.3.10-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit gnome-packagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9573

Comment 15 Fedora Update System 2008-12-08 12:59:12 UTC
PackageKit-0.3.10-2.fc9, gnome-packagekit-0.3.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Michael Monreal 2015-04-06 12:28:53 UTC
Done


Note You need to log in before you can comment on or make changes to this bug.